Bug 1462008 - Fedora 26 is missing GNOME Recipes
Fedora 26 is missing GNOME Recipes
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
26
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 18:06 EDT by rugk
Modified: 2017-06-24 15:16 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-15 18:12:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rugk 2017-06-15 18:06:43 EDT
Description of problem: Fedora 26 includes GNOME v3.24. As explained in the release blog post e.g. (https://www.gnome.org/news/2017/03/gnome-3-24-released/) there is a new application included called "GNOME recipes".
However, I cannot see it in my Fedora installation and it is also not available in GNOME Software.


Version-Release number of selected component (if applicable): 3.24.2


How reproducible: Always.


Steps to Reproduce:
1. Upgrade to Fedora 26 Beta.

Actual results: No application called GNOME Recipes.


Expected results: GNOME Recipes here to try it out.


Additional info: Wanna GNOME Recipes, as it was promised! :)

> This release also includes a new Recipes application, which contains recipes contributed by members of the GNOME community. It has an extensive set of features for adding and editing recipes, creating shopping lists, adjusting quantities and even has a hands-free cooking mode.

https://www.gnome.org/news/2017/03/gnome-3-24-released/
Comment 1 Peter Robinson 2017-06-15 18:12:10 EDT
It's not packaged, this might be a decision of the gnome team, it should be discussed on the mailing list [1] or could be packaged up as per the packging guidelines [2].


[1] https://lists.fedoraproject.org/archives/list/desktop@lists.fedoraproject.org/
[2] https://fedoraproject.org/wiki/Packaging:Guidelines
Comment 2 Zbigniew Jędrzejewski-Szmek 2017-06-15 18:54:39 EDT
I think it would be a shame not to package it in time for F26 final. Please raise the issue on desktop@ or fedora-devel@ mailing lists. I hope somebody will step up to package it.
Comment 3 rugk 2017-06-15 19:00:14 EDT
Indeed, can't you mark this issue as a blocker for the Fedora 26 release? :)
Comment 5 Zbigniew Jędrzejewski-Szmek 2017-06-15 19:39:11 EDT
There are certain criteria to mark something as a blocker bug [https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process] and this bug does not fill them.
Comment 6 Stephen Gallagher 2017-06-16 08:22:48 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #5)
> There are certain criteria to mark something as a blocker bug
> [https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process] and this bug
> does not fill them.

Zbigniew, any bug can be *proposed* as a blocker bug. So please don't arbitrarily remove that classification. That said, I would vote -1 blocker as it doesn't violate any of the blocker criteria.

I'm also not putting the proposal back on because this BZ is CLOSED/NOTABUG. If you want to open a review request for gnome-recipes and propose that for blocker status, go ahead, but this is not the right venue.
Comment 7 Dennis Gilmore 2017-06-16 08:30:17 EDT
I would add that I would vote +1 to FE for final assum,ing it was packaged in time, however -1 Blocker as I do not believe it violates any release criteria.
Comment 8 rugk 2017-06-16 16:04:05 EDT
Marking it as a blocker also was more fun. So let's not discuss it anymore, I just would like it very much if it is ready/available when Fedora 26 is released.

We need to find a packager right now. Is not there a GNOME developer or so, who would like to do this?
Comment 9 Herbert Carl Meyer 2017-06-24 15:16:19 EDT
The gnome recipes application is available as a flatpak, in the flatpak repos.

Note You need to log in before you can comment on or make changes to this bug.